# MittelmannDistCntrlDiri3 Class Reference

Class implementating Example 3. More...

`#include <MittelmannDistCntrlDiri.hpp>`

Inheritance diagram for MittelmannDistCntrlDiri3:
[legend]

List of all members.

## Public Member Functions
| MittelmannDistCntrlDiri3 ()
virtual | ~MittelmannDistCntrlDiri3 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannDistCntrlDiri3 (const MittelmannDistCntrlDiri3 &)
MittelmannDistCntrlDiri3 & | operator= (const MittelmannDistCntrlDiri3 &)
| Overloaded Equals Operator.
## Private Attributes
const Number | pi_
| Value of pi (made available for convenience).

## Detailed Description

Class implementating Example 3.

Definition at line 338 of file MittelmannDistCntrlDiri.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlDiri3::MittelmannDistCntrlDiri3 | ( |  | ) | `[inline]`

Definition at line 341 of file MittelmannDistCntrlDiri.hpp.

virtual MittelmannDistCntrlDiri3::~MittelmannDistCntrlDiri3 | ( |  | ) | `[inline, virtual]`

Definition at line 345 of file MittelmannDistCntrlDiri.hpp.

MittelmannDistCntrlDiri3::MittelmannDistCntrlDiri3 | ( | const MittelmannDistCntrlDiri3 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlDiri3::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 347 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri3::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannDistCntrlDiriBase.

Definition at line 365 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri3::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlDiriBase.

Definition at line 370 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri3::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlDiriBase.

Definition at line 375 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri3::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlDiriBase.

Definition at line 380 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri3::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlDiriBase.

Definition at line 385 of file MittelmannDistCntrlDiri.hpp.

MittelmannDistCntrlDiri3& MittelmannDistCntrlDiri3::operator= | ( | const MittelmannDistCntrlDiri3 & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from MittelmannDistCntrlDiriBase.

## Member Data Documentation

const Number MittelmannDistCntrlDiri3::pi_`[private]`

Value of pi (made available for convenience).

Definition at line 396 of file MittelmannDistCntrlDiri.hpp.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannDistCntrlDiri.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines